GLPI — Atualizando GLPI

ESTE POST ESTÁ DESATUALIZADO.

POR FAVOR, SIGA ESTE LINK E VEJA O POST ATUALIZADO! OBRIGADO

Olá pessoal,

Estive visualizando no nosso grupo de discussão sobre o GLPI que alguns colegas tem tido muitos problemas na hora de atualizar o mesmo. Seja por falta de informação, conhecimento ou medo. Diante esse cenário resolvi criar um vídeo tutorial simples, rápido mas que acredito ser eficiente e bastante esclarecedor pra galera que, assim como eu, tem algumas dificuldades e vem aprendendo a cada dia com essa ferramenta poderosíssima que é o GLPI.

No vídeo abaixo estou usando um Ubuntu Server 10.04 x86, GLPI 0.83.2 e estou atualizando para a versão 0.83.31 que é o processo recomendado a ser seguido. Atualizar o GLPI de versão em versão sem pular nenhum “número”.

O nosso amigo Danilo Santos deixou um passo a passo bem legal no grupo e que se nem todos puderam acompanhar segue abaixo na íntegra:

1 — Verificar a senha do usuário local glpi ou alterar com usuário do AD perfil super admin

2 — Realizar um Backup do Banco de Dados MySQL via dump do GLPI ou cliente Mysql query browser.

Administração -> Manutenção -> dumpsql -> ficará salvo no endereço: /glpi/files/_dumps

3 — Realizar um Backup da Pasta glpi dentro do Servidor WEB

4 — Renomear a pasta glpi para glpi_versãoantigo

5 — Descompactar a nova versão do glpi para o webserver

6 — Executar a permissão na pasta do GLPI

Exemplo:

# chown www-data. -Rf /var/www/glpi

# chmod 775 -Rf /var/www/glpi

7 — Executar o glpi via WEB e na instalação escolher a opção atualizar

8 — Configurar a conexão com o Banco de Dados e escolher o seu Banco de Dados atual

9 — Copiar a pasta files do glpi_antigo para o novo glpi

10 — Executar novamente a permissão na pasta glpifiles

11 — Atualização OK, sempre faço um novo dump caso algo de errado…

Fiquem a vontade para comentar e dar dicas pra mim e pra galera, afinal juntos aprendemos muito mais!

https://www.youtube.com/embed/cHA2Q_2Icdc

Add a Comment

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *